%define oname scribus
%define name %{oname}-stable

%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %{name}-devel

%define oname   scribus

Summary:	Scribus - Open Source Page Layout
Name:		%{name}
Version:	1.4.6
Release:	%mkrel 3
Source0:	http://downloads.sourceforge.net/scribus/%{oname}-%{version}.tar.xz
URL:		http://www.scribus.net/
Patch1:         %{oname}-1.4.4-qreal_double.patch
# Fix necessary LPPL attribution
Patch3:         %{oname}-1.4.5-lppl-fixes.patch
# Fix detection of hunspell-1.4+
Patch4:         %{oname}-1.4.6-hunspell.patch
License:	GPLv2+
Group:		Publishing
BuildRequires:	hunspell-devel
BuildRequires:	cups-devel
BuildRequires:	lcms2-devel
BuildRequires:	boost-devel
BuildRequires:	cairo-devel
BuildRequires:	qt4-devel >= 4:4.6.0
BuildRequires:	python-devel
BuildRequires:	libtiff-devel
BuildRequires:	podofo-devel
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	cmake >= 2.6.0
Requires:	tkinter
Requires:	ghostscript

Obsoletes:	scribus-i18n-en
Obsoletes:	scribus-i18n-de
Obsoletes:	scribus-i18n-fr
Obsoletes:	%{libname}

Conflicts:      %{oname} > 1.4.5

%description
Scribus is a desktop open source page layout program with the aim of
producing commerical grade output in PDF and Postscript, primarily,
though not exclusively, for Linux.

While the goals of the program are ease of use and simple
easy-to-understand tools, Scribus offers support for professional
publishing features, such as CMYK colors, easy PDF creation,
Encapsulated Postscript import and export, and creation of color
separations.

%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(de) %{_mandir}/de/man1/*
%{_libdir}/scribus
%{_datadir}/mime/packages/*.xml
%{_datadir}/scribus
%_iconsdir/hicolor/*/apps/%{oname}.png
%doc %{_datadir}/doc/%{oname}*

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development tools for programs which will use the %{libname} library
Group:		Development/C++
Obsoletes:	%{libname}-devel
Obsoletes:	libkde3-scribus0-devel
Provides:	libkde3-scribus0-devel
Obsoletes:	scribus-unstable-devel

%description -n	%{develname}
The %{develname} package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{develname}-devel.  You'll also need to have the %{oname}
package installed.

%files -n %{develname}
%doc AUTHORS COPYING
%{_includedir}/%{oname}/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

# recode man page to UTF-8
pushd scribus/manpages
iconv -f ISO8859-2 -t UTF-8 scribus.1.pl > tmp
touch -r scribus.1.pl tmp
mv tmp scribus.1.pl
popd

# fix permissions
chmod a-x scribus/pageitem_latexframe.h

# drop shebang lines from python scripts
for f in scribus/plugins/scriptplugin/{samples,scripts}/*.py
do
    sed '1{/#!\/usr\/bin\/env\|#!\/usr\/bin\/python/d}' $f > $f.new
    touch -r $f $f.new
    mv $f.new $f
done

%build
%cmake_qt4 -DWANT_HUNSPELL=ON -DWITH_ASPELL=OFF
%make

%install
%makeinstall_std -C build

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--remove-category='Graphics' \
	--add-category='Office' \
	--add-category='Publishing' \
	--add-category='X-Mageia-CrossDesktop'\
	%{oname}.desktop

# install icons for hicolor and old WM
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
for size in 16x16 32x32 48x48; do
convert -resize $size resources/icons/scribus.png %{buildroot}%{_iconsdir}/hicolor/$size/apps/%{oname}.png
done

# install the global desktop file
rm -f ${RPM_BUILD_ROOT}%{_datadir}/mimelnk/application/*scribus.desktop
desktop-file-install \
    --vendor="mageia"                      \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
    scribus.desktop

# we do not need kde stuffs for 2009
rm -f %{buildroot}%{_datadir}/mimelnk/application/vnd.scribus.desktop



%changelog
* Sun Aug 06 2017 neoclust <neoclust> 1.4.6-3.mga6
+ Revision: 1137700
- Add fedora patch to fix build on arm
- Really fix devel package name
- New version 1.4.6
- Fix the name of the devel package
- imported package scribus-stable

